@echo off
rem ******************************************************************************
rem 
rem (c) 2004 by BECK IPC GmbH
rem 
rem BECK IPC GmbH
rem Garbenheimerstr. 36-38
rem D-35578 Wetzlar
rem 
rem Phone: (49)-6441-905-0
rem Fax:   (49)-6441-905-245
rem 
rem ******************************************************************************
rem 
rem Module:   postmake.bat
rem Function: This script will execute the intrinsic Postmake actions.
rem           It will be called from postmake.spp with appropriate arguments.
rem           The given file will be compressed using upx.exe, it will then be
rem           sent with FTP according to the given FTP command file, at last the
rem           focus will be given to the window with the given title using
rem           setfocus.exe.
rem Notes:    The program ftp.exe must be available through the PATH envrironment
rem           variable, setfocus.exe must be in {WORKDIR}\TOOLS\, upx.exe must be
rem           in {WORKDIR}\TOOLS\UPX\.
rem Syntax:   POSTMAKE.BAT {WORKDIR} {EXEFILENAME} {FTPFILENAME} {WINDOWTITLE}
rem 
rem ******************************************************************************



rem ******************************************************************************
rem Say hello
rem ******************************************************************************
echo --------------------------------------------------
echo Postmake 1.10
echo Working directory: %1
echo --------------------------------------------------
echo.



rem ******************************************************************************
rem Pack file using upx.exe
rem ******************************************************************************
echo ------------------------------
echo Packing %2 ...
echo.
%1tools\upx\upx.exe -9 %2
echo.
echo.



rem ******************************************************************************
rem Send file with FTP
rem ******************************************************************************
echo ------------------------------
echo Executing FTP commands ...
echo.
ftp.exe -s:%3
echo.
echo.



rem ******************************************************************************
rem Wait to let user see the output of ftp.exe
rem ******************************************************************************
echo ------------------------------
pause
echo.
echo.



rem ******************************************************************************
rem Set focus
rem ******************************************************************************
echo ------------------------------
echo Setting focus to window with title %4 ...
%1tools\setfocus.exe /p %4



rem End of file
